E-MailRelay

Classes | Functions
GStore Namespace Reference

Message store classes. More...

## Classes
class | DirectoryReader
| Used by GStore::FileStore, GStore::NewFile and GStore::StoredFile to claim read permissions for reading a directory. More...
class | Envelope
| A structure containing the contents of an envelope file, with support for file reading, writing and copying. More...
class | FileDelivery
| An implementation of the MessageDelivery interface that delivers message files to mailboxes. More...
class | FileIterator
| A GStore::MessageStore::Iterator for GStore::FileStore. More...
class | FileReader
| Used by GStore::FileStore, GStore::NewFile and GStore::StoredFile to claim read permissions for reading a file. More...
class | FileStore
| A concrete implementation of the MessageStore interface dealing in paired flat files. More...
class | FileWriter
| Used by GStore::FileStore, GStore::NewFile and GStore::StoredFile to claim write permissions. More...
class | MessageDelivery
| An interface to deliver a message to its local recipients' mailboxes. More...
class | MessageId
| A somewhat opaque identifer for a GStore::MessageStore message id. More...
class | MessageStore
| A class which allows SMTP messages to be stored and retrieved. More...
class | NewFile
| A concrete class implementing the GStore::NewMessage interface using files. More...
class | NewMessage
| An abstract class to allow the creation of a new message in the message store. More...
class | StoredFile
| A concete class implementing the GStore::StoredMessage interface for separate envelope and content files in a spool directory. More...
class | StoredMessage
| An abstract interface for messages which have come from the store. More...

## Functions
std::unique_ptr< StoredMessage > | operator++ (std::shared_ptr< MessageStore::Iterator > &iter)

## Detailed Description

Message store classes.

The GStore namespace contains classes relating to e-mail storage.

Key classes are:

- MessageStore
- FileStore
- NewMessage
- NewFile
- StoredMessage
- StoredFile

## Function Documentation

## ◆ operator++()

std::unique_ptr< GStore::StoredMessage > GStore::operator++ | ( | std::shared_ptr< MessageStore::Iterator > & | iter | ) |

Definition at line 28 of file gmessagestore.cpp.